Subject: Re: linux-next: build failure after merge of the final tree (cgroup tree related)

From: Sam Ravnborg <[email-masked]>
Date: Wed, 12 Feb 2014 21:36:21 +0100

Hi Tejun.

On Wed, Feb 12, 2014 at 09:27:00AM -0500, Tejun Heo wrote:
> On Wed, Feb 12, 2014 at 09:47:43PM +1100, Stephen Rothwell wrote:
> > Hi, Tejun,
> > 
> > On Wed, 12 Feb 2014 01:39:33 -0500 Tejun Heo <[email-masked]> wrote:
> > >
> > > On Wed, Feb 12, 2014 at 04:25:00PM +1100, Stephen Rothwell wrote:
> > > > Presumably caused by commit 2bd59d48ebfb ("cgroup: convert to kernfs")
> > > > (see the comment in commit 1ff6bbfd13ca ("arm, pm, vmpressure: add
> > > > missing slab.h includes")).  I wonder how mane more builds are broken by
> > > > this :-(
> > > 
> > > Dang, I was feeling pretty safe as kbuild bot was reporting build
> > > successes.  We better fix them at any rate.  David / Sam, can you
> > > please pick this one up?
> > 
> > It really needs to go into the tree with the cgroup commit so it doesn't
> > break there.
> 
> Hmmm... I see.  I'll route the patch once Dave or Sam acks it.
My sparc setup is broken for many reasons - so I have not been able to try it out.
But the patch is obvious enough that I do not hesitate to do:

Acked-by: Sam Ravnborg <[email-masked]>

	Sam